<?php
require_once '/usr/share/php/Fedora/Autoloader/autoload.php';
require_once __DIR__ . '/bundled.php';

// For PEAR components
\Fedora\Autoloader\Autoload::addIncludePath();

// Dependencies from 3rdparty composer.json
// https://github.com/nextcloud/3rdparty/blob/v13.0.0/composer.json
\Fedora\Autoloader\Dependencies::required(array(
        // "aws/aws-sdk-php"
        '/usr/share/php/Aws3/autoload.php',
        // "bantu/ini-get-wrapper"
        '/usr/share/php/bantu/IniGetWrapper/IniGetWrapper.php',
        // "deepdiver1975/TarStreamer"
        '/usr/share/php/ownCloud/TarStreamer/autoload.php',
        // "doctrine/dbal"
        // NOTE: Bundling patched dbal in 3rdparty dir
        // '/usr/share/php/Doctrine/DBAL/autoload.php',
        // "guzzlehttp/guzzle"
        '/usr/share/php/GuzzleHttp/autoload.php',
        // "icewind/searchdav"
        '/usr/share/php/Icewind/SearchDAV/autoload.php',
        // "icewind/Streams"
        '/usr/share/php/Icewind/Streams/autoload.php',
        // "interfasys/lognormalizer"
        '/usr/share/php/InterfaSys/LogNormalizer/autoload.php',
        // "jeremeamia/superclosure"
        '/usr/share/php/SuperClosure/autoload.php',
        // "leafo/scssphp"
        '/usr/share/php/Leafo/ScssPhp/autoload.php',
        // "league/flysystem"
        '/usr/share/php/League/Flysystem/autoload.php',
        // "lukasreschke/id3parser": "^0.0.1"
        '/usr/share/php/ID3Parser/autoload.php',
        // mcnetic/zipstreamer"
        //'/usr/share/php/ZipStreamer/autoload.php',
        // "natxet/CssMin"
        '/usr/share/php/natxet/CssMin/autoload.php',
        // "nikic/php-parser"
        '/usr/share/php/PhpParser/autoload.php',
        // "patchwork/jsqueeze"
        '/usr/share/php/Patchwork/JSqueeze.php',
        // "patchwork/utf8"
        // NOTE: Bundling patched utf8 in 3rdparty dir
        // '/usr/share/php/Patchwork/autoload.php',
        // Do not autoload PEAR components - but for some reason
        // we need to load the components anyway
        '/usr/share/pear/Archive/Tar/autoload.php',
        '/usr/share/pear/Console/Getopt/autoload.php',
        '/usr/share/pear/PEAR/autoload.php',
        // "phpeclib/phpseclib"
        '/usr/share/php/phpseclib/autoload.php',
        // "pimple/pimple"
        '/usr/share/php/Pimple/autoload.php',
        // "punic/punic"
        '/usr/share/php/Punic/autoload.php',
        // "rackspace/php-opencloud"
        // NOTE: Bundling patched php-opencloud in 3rdparty dir
        // '/usr/share/php/OpenCloud/autoload.php',
        // Note react/promise is not in composer.json
        // "react/promise"
        '/usr/share/php/React/Promise/autoload.php',
        // "sabre/dav"
        // NOTE: Bundling patched sabreDAV in 3rdparty dir
        // '/usr/share/php/Sabre/DAV/autoload.php',
        // "stecman/symfony-console-completion"
        '/usr/share/php/Stecman/Component/Symfony/Console/BashCompletion/autoload.php',
        // "swiftmailer/swiftmailer
        '/usr/share/php/Swift/swift_required.php',
        // "symfony/console"
        '/usr/share/php/Symfony3/Component/Console/autoload.php',
        // "symfony/event-dispatcher"
        '/usr/share/php/Symfony3/Component/EventDispatcher/autoload.php',
        // "symfony/polyfill-php70"
        '/usr/share/php/Symfony/Polyfill/autoload.php',
        // "symfony/process"
        '/usr/share/php/Symfony3/Component/Process/autoload.php',
        // "symfony/routing"
        '/usr/share/php/Symfony3/Component/Routing/autoload.php',
        // "symfony/translation"
        '/usr/share/php/Symfony3/Component/Translation/autoload.php',
));
